Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.technicalconnector.ws.impl
Class GenericWsSenderImpl

    java.lang.Object
      be.ehealth.technicalconnector.ws.impl.AbstractWsSender
          be.ehealth.technicalconnector.ws.impl.GenericWsSenderImpl

All Implemented Interfaces:
  GenericWsSender

    public class GenericWsSenderImpl

extends AbstractWsSender
implements GenericWsSender

Implementation of `GenericWsSender`

Field Summary

Fields inherited from class be.ehealth.technicalconnector.ws.impl.AbstractWsSender
`MESSAGECONTEXT_ENDPOINT_ADDRESS, PROP_RETRY_STRATEGY`

Constructor Summary
`GenericWsSenderImpl()`

Method Summary
`Node` | `sendCertificateSecured(String url, Document payload, X509Certificate certificate, PrivateKey privateKey)` Send certificate secured.
`Node` | `sendCertificateSecured(String url, Document payload, X509Certificate certificate, PrivateKey privateKey, String soapAction)` Send certificate secured.
`String` | `sendCertificateSecured(String url, String payload, X509Certificate certificate, PrivateKey privateKey)` Send certificate secured.
`String` | `sendCertificateSecured(String url, String payload, X509Certificate certificate, PrivateKey privateKey, String soapAction)` Send certificate secured.
`Node` | `sendSamlSecured(String url, Document payload, Element assertion, Credential credential)` Send saml secured.
`Node` | `sendSamlSecured(String url, Document payload, Element assertion, Credential credential, String soapAction)` Send saml secured.
`String` | `sendSamlSecured(String url, String payload, Element assertion, Credential credential)` Send saml secured.
`String` | `sendSamlSecured(String url, String payload, Element assertion, Credential credential, String soapAction)` Send saml secured.
`Node` | `sendUnsecured(String url, Document payload)` Send unsecured.
`Node` | `sendUnsecured(String url, Document payload, String soapAction)` Send unsecured.
`String` | `sendUnsecured(String url, String payload)` Send unsecured.
`String` | `sendUnsecured(String url, String payload, String soapAction)` Send unsecured.

Methods inherited from class be.ehealth.technicalconnector.ws.impl.AbstractWsSender
`send`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface be.ehealth.technicalconnector.ws.GenericWsSender
`send`

Constructor Detail

### GenericWsSenderImpl

    public GenericWsSenderImpl()

Method Detail

### sendUnsecured

    public String sendUnsecured(String url,
                                String payload)
                         throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send unsecured.

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    public String sendUnsecured(String url,
                                String payload,
                                String soapAction)
                         throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send unsecured.

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    public Node sendUnsecured(String url,
                              Document payload)
                       throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send unsecured.

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendUnsecured

    public Node sendUnsecured(String url,
                              Document payload,
                              String soapAction)
                       throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send unsecured.

  Specified by:
    `sendUnsecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    public String sendSamlSecured(String url,
                                  String payload,
                                  Element assertion,
                                  Credential credential)
                           throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send saml secured.

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    public String sendSamlSecured(String url,
                                  String payload,
                                  Element assertion,
                                  Credential credential,
                                  String soapAction)
                           throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send saml secured.

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    public Node sendSamlSecured(String url,
                                Document payload,
                                Element assertion,
                                Credential credential)
                         throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send saml secured.

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendSamlSecured

    public Node sendSamlSecured(String url,
                                Document payload,
                                Element assertion,
                                Credential credential,
                                String soapAction)
                         throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send saml secured.

  Specified by:
    `sendSamlSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `assertion` - SAML-token received from STS.
    `credential` - The credential (X509Certificate and PrivateKey) of the Service Certificate used within the request to STS
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    public String sendCertificateSecured(String url,
                                         String payload,
                                         X509Certificate certificate,
                                         PrivateKey privateKey)
                                  throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send certificate secured.

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    public String sendCertificateSecured(String url,
                                         String payload,
                                         X509Certificate certificate,
                                         PrivateKey privateKey,
                                         String soapAction)
                                  throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send certificate secured.

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - Business message. XML payload of the SOAP request message containing the business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    The XML payload of the SOAP response message containing business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    public Node sendCertificateSecured(String url,
                                       Document payload,
                                       X509Certificate certificate,
                                       PrivateKey privateKey)
                                throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send certificate secured.

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

### sendCertificateSecured

    public Node sendCertificateSecured(String url,
                                       Document payload,
                                       X509Certificate certificate,
                                       PrivateKey privateKey,
                                       String soapAction)
                                throws TechnicalConnectorException

  Description copied from interface: `GenericWsSender`
  Send certificate secured.

  Specified by:
    `sendCertificateSecured` in interface `GenericWsSender`
  Parameters:
    `url` - The endpoint of the targeted web service.
    `payload` - DOM Document containing the actual business data.
    `certificate` - X.509 certificate, that includes the public key, of the organization invoking this service. This certificate is used for sealing the request message using the ETEE framework.
    `privateKey` - Private key, linked to the X.509 certificate mentioned above.
    `soapAction` - SoapAction as specified in the WSDL.
  Returns:
    Node from the SOAP response containing the business data.
  Throws:
    `TechnicalConnectorException` - When a technical exception occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.